library(BRugs)
# change working directory to where the files are if necessary
# setwd('~/bugsbook/bugsbook_rsrc/examples/ch-implement-seeds') # in BRugs
# setwd('c:/Program Files/OpenBUGS/OpenBUGS321/Examples') 
# modelSetWD('h:/bugsbook/bugsbook_rsrc/examples/ch-implement-seeds') # in the OpenBUGS GUI
modelCheck('Seedsmodel.txt')
modelData('Seedsdata.txt')
modelCompile(2)
modelInits('Seedsinits1.txt', 1)
modelInits('Seedsinits2.txt', 2)
modelGenInits()
modelUpdate(4000)
samplesSet('alpha0')
samplesSet('alpha1')
samplesSet('alpha12')
samplesSet('alpha2')
samplesSet('sigma')
modelUpdate(10000)
samplesStats('*')
samplesHistory('*')
samplesCoda('*','Seeds')

## Usage of CODA package 
seeds.coda <- read.openbugs("Seeds")
raftery.diag(seeds.coda)
geweke.diag(seeds.coda)
heidel.diag(seeds.coda)
summary(seeds.coda)
densplot(seeds.coda)
HPDinterval(seeds.coda)
